unit uPluginMontajesCompleto;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList;

type
  IMCMontajesCompleto = interface(IInterface)
  ['{5074D7B4-5B95-45F2-90EF-57B50DC44F25}']
  end;

  TPluginMontajesCompleto = class(TModuleController, IMCMontajesCompleto)
    actMontajesCompleto: TAction;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    Ventas1: TMenuItem;
    Facturasdecliente1: TMenuItem;
    N1: TMenuItem;
    procedure actMontajesCompletoExecute(Sender: TObject);
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, SysUtils,
  uMontajesCompletoController, uBizMontajesCompleto,
  uMontajesCompletoViewRegister;

function GetModule : TModuleController;
begin
  Result := TPluginMontajesCompleto.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

procedure TPluginMontajesCompleto.actMontajesCompletoExecute(Sender: TObject);
var
  AMontajesCompletoController : IMontajesCompletoController;
  AMontajeCompleto : IBizMontajeCompleto;

begin
  AMontajesCompletoController := TMontajesCompletoController.Create;
  AMontajeCompleto := (AMontajesCompletoController.BuscarTodos as IBizMontajeCompleto);
  AMontajesCompletoController.VerTodos(AMontajeCompleto);
end;

constructor TPluginMontajesCompleto.Create(AOwner: TComponent);
begin
  inherited;
  uMontajesCompletoViewRegister.RegisterViews;
end;

destructor TPluginMontajesCompleto.Destroy;
begin
  uMontajesCompletoViewRegister.UnregisterViews;
  inherited;
end;

initialization
  RegisterModuleClass(TPluginMontajesCompleto);

finalization
  UnRegisterModuleClass(TPluginMontajesCompleto);

end.
